dots.v2.floating_ips.byFloating_ip().actions.post()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.floating_ips.byFloating_ip(floating_ip).actions.post(body: Floating_ip_action_assign | Floating_ip_action_unassign, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ActionsPostResponse>

Description

To initiate an action on a floating IP send a POST request to /v2/floating_ips/{floating_ip}/actions. In the JSON body to the request, set the type attribute to on of the supported action types:

Action Details
assign Assigns a floating IP to a Droplet
unassign Unassign a floating IP from a Droplet

Parameters

Path Parameters

floating_ip string required

Example: 45.55.96.47

A floating IP address.

Min: 1

Request Body

floating_ip_action_unassign

type string required

The type of action to initiate for the floating IP.

One of: assign, unassign

floating_ip_action_assign

type string required

The type of action to initiate for the floating IP.

One of: assign, unassign

dropletId integer required

Example: 758604968

The ID of the Droplet that the floating IP will be assigned to.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.floating_ips
    .byFloating_ip("45.55.96.47").actions.post({
    type: "assign",
});

Response Example

Show Response Example
{
  "action": {
    "id": 72531856,
    "status": "completed",
    "type": "assign_ip",
    "started_at": "2015-11-12T17:51:03Z",
    "completed_at": "2015-11-12T17:51:14Z",
    "resource_id": 758604968,
    "resource_type": "floating_ip",
    "region": {
      "name": "New York 3",
      "slug": "nyc3",
      "sizes": [
        "s-1vcpu-1gb",
        "s-1vcpu-2gb",
        "s-1vcpu-3gb",
        "s-2vcpu-2gb",
        "s-3vcpu-1gb",
        "s-2vcpu-4gb",
        "s-4vcpu-8gb",
        "s-6vcpu-16gb",
        "s-8vcpu-32gb",
        "s-12vcpu-48gb",
        "s-16vcpu-64gb",
        "s-20vcpu-96gb",
        "s-24vcpu-128gb",
        "s-32vcpu-192gb"
      ],
      "features": [
        "private_networking",
        "backups",
        "ipv6",
        "metadata"
      ],
      "available": true
    },
    "region_slug": "nyc3",
    "project_id": "746c6152-2fa2-11ed-92d3-27aaa54e4988"
  }
}

More Information

See /v2/floating_ips/{floating_ip}/actions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.